package koverja.util;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.jar.JarFile;
import java.util.zip.ZipEntry;

/**
 * @version 0.1
 * @author Martin Andreas Filusch
 */
public class JarUtil {
  public void extractFromJar(String name, String dest){
    try {
      String home = getClass().getProtectionDomain()
                   .getCodeSource().getLocation()
                   .getPath().replaceAll("%20", " ");

      JarFile jar = new JarFile(home);
      ZipEntry entry = jar.getEntry(name);
      File efile = new File(dest, entry.getName());

      InputStream in =
         new BufferedInputStream(jar.getInputStream(entry));
      OutputStream out =
         new BufferedOutputStream(new FileOutputStream(efile));
      byte[] buffer = new byte[2048];
      for (;;)  {
        int nBytes = in.read(buffer);
        if (nBytes <= 0) break;
        out.write(buffer, 0, nBytes);
      }
      out.flush();
      out.close();
      in.close();
     }
     catch (Exception e) {
      e.printStackTrace();
    }
  }
}
