package sortieren;
/**
* Programmbeschreibung:
* MergeSort
*/

public class MergeSort{
  public static int[] sort(int[] a){
    return sort_rekursiv(a);
  }
	public static int[] sort_rekursiv(int[] a){
		int[] b,c;
		int k = 0;
		
		if(a.length == 1) return a;
		else{	
			// Array aufteilen
			b = new int[a.length/2];
			c = new int[a.length - a.length/2];
			for(int i = 0; i < a.length; i++){
				if(i < a.length/2){
					b[i] = a[i];
				}else{
					c[k++] = a[i];
				}
			}
			return Merge.merge(sort_rekursiv(b),sort_rekursiv(c)); // Mische die beiden sortierten Folgen zu einer sortierten Folge
		}
	}
	public static void sort_iterativ(int[] a){
		int l = 1;  // L�nge der sortieren Teilfolgen
		int k = a.length; // Anzahl der sortierten Teilfolgen
		int[][] _k;
		int[][] _m;
		
		while(k > 1){
			_k = new int[k][];
			for(int i = 0; i < k; i++){
				_k[i] = new int[l];
			}
			for(int i = 0; i < k; i++){
				for(int j = 0; j < l; j++){
					_k[i][j] = a[i*l+j];
				}
			}
			
			l *= 2;
			k /= 2;
			
			_m = new int[k][l]; 
			for(int i = 0; i < k; i ++ ){
				_m[i] = Merge.merge(_k[i*2], _k[i*2 + 1]);
			}
			
			for(int i = 0; i < k; i++){
				for(int j = 0; j < l; j++){
					a[i*l+j] = _m[i][j];
				}
			}

		}
	}
	
}